SPI_COPYTUPLE(3)

NAME
SPI_copytuple - make a copy of a row in the upper executor context

SYNOPSIS

HeapTuple SPI_copytuple(HeapTuple row)

DESCRIPTION

SPI_copytuple makes a copy of a row in the upper executor context. This is normally used to return a modified row from a trigger. In a function declared to return a composite type, use SPI_returntuple instead.

ARGUMENTS

HeapTuple row
    row to be copied

RETURN VALUE

the copied row; NULL only if tuple is NULL